WPSEO_Plugin_Availability::is_dependency_available()publicYoast 1.0

Устарела с версии 22.4. Больше не поддерживается и может быть удалена. Рекомендуется заменить эту функцию на аналог.

Checks whether a dependency is available.

Метод класса: WPSEO_Plugin_Availability{}

Хуков нет.

Возвращает

true|false. Whether or not the dependency is available.

Использование

$WPSEO_Plugin_Availability = new WPSEO_Plugin_Availability();
$WPSEO_Plugin_Availability->is_dependency_available( $dependency );
$dependency(массив) (обязательный)
The information about the dependency to look for.

Список изменений

Устарела с 22.4

Код WPSEO_Plugin_Availability::is_dependency_available() Yoast 22.8

public function is_dependency_available( $dependency ) {
	_deprecated_function( __METHOD__, 'Yoast SEO 22.4' );

	return isset( get_plugins()[ $dependency['slug'] ] );
}